global:
  ref: master
  createNamespace: true
  imageTag: '' # Defaults to ref
  project: '' # required
  dockerRepoDomain: docker.zooxlabs.com
  dockerRepoOverride: '' # Set this field to override default <project>.<.Values.global.dockerRepoDomain>
                         # NOTE: This is NOT compatible with the default ci-pipeline!
  logger:
    image: dockerhub.docker.zooxlabs.com/busybox

  env: '' # required (ex. dev, stage, prod)
  istio:
    enabled: false
  service: {}
    # annotations: {} # Set global service annotations
  ingress: {}
    # annotations: {} # Set global ingress annotations
    # redirectAnnotations: {} # Set global redirect ingress annotations
    # redirectPaths:
    # - /metrics
  jaeger:
    enabled: false
    esUrl: 'https://elasticsearch.logging:443'
    hosts: []

  replicaCount: 1

  # livenessProbe:
  #   httpGet:
  #     path: /health/status
  #     port: http
  # readinessProbe:
  #   httpGet:
  #     path: /health/status
  #     port: http

  services: {}
  #   example:
  #     aliasOf: other-service # This will inherit all service definitions from this service
  #     path: path/in/driving
  #     pathToDockerfile: path/in/driving/Dockerfile

  #     imageTag: "" # optional to override the tag

  #     replicaCount: 1
  #     disableReplicaCount: false # Set true to remove hard coded replica count for autoscaling

  #     containerPort: 80
  #     appProtocol: grpc # defaults to  http

  #     extraPorts:
  #       - name: "metrics"
  #         containerPort: 9090 # Either containerPort or servicePort must be specified
  #         servicePort: 9000 # optional: defaults to containerPort
  #         targetPort: metrics # Only if containerPort is NOT specified
  #         protocol: TCP # optional: defaults to TCP

  #     service:
  #       type: ClusterIP
  #       port: 80
  #       annotations: {}

  #     logger:
  #       directory: /var/log
  #       logs:
  #       - name: request
  #         file: request.log

  #     env:
  #       EXAMPLE_ENV_VAR:
  #         value: example
  #       EXAMPLE_SECRET_MOUNT:
  #         valueFrom:
  #           secretKeyRef:
  #             name: sqs
  #             key: SQS_ARN

  #     # If these are not implemented or removed your app will killed :)
  #     livenessProbe:
  #       httpGet:
  #         path: /health/status
  #         port: http
  #     readinessProbe:
  #       httpGet:
  #         path: /health/status
  #         port: http

  #     volumes: [] # uncomment to add host volume mounts to your container
  #     #  - name: flashblade
  #     #    hostPath:
  #     #      type: Directory
  #     #      path: /mnt/flashblade

  #     volumeMounts: []

  #     resources: {}
  #       # We usually recommend not to specify default resources and to leave this as a conscious
  #       # choice for the user. This also increases chances charts run on environments with little
  #       # resources, such as Minikube. If you do want to specify resources, uncomment the following
  #       # lines, adjust them as necessary, and remove the curly braces after 'resources:'.
  #       # limits:
  #       #  cpu: 100m
  #       #  memory: 128Mi
  #       #  nvidia.com/gpu: 1 # should only be in `limits`
  #       # requests:
  #       #  cpu: 100m
  #       #  memory: 128Mi

  #     ingress:
  #       enabled: false
  #       tlsDisabled: false # Set to true to disable tls
  #       annotations: {}
  #       secretName: "" # Use this secret for tls if tlsDisabled is not set
  #       host: "example.zooxlabs.com" # to override default hostname <service>.<env>.<project>.zooxlabs.com
  #       redirectAnnotations: {} # Set redirect ingress annotations
  #       redirectPaths:
  #       - /metrics

  #     nodeSelector: {}

  #     tolerations: []

  #     affinity: {}

  #     serviceMonitor:
  #       enabled: false
  #       port: metrics
  #       path: /metrics
  #       # Optional:
  #       scrapeTimeout: 10s

  # .   hpa:  # Used to enable Horizontal Pod Autoscaling
  # .     minReplicas: 2
  # .     maxReplicas: 10
  # .     cpuThreshold: 80
  # .     memoryThreshold: 70
